<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    tools:context=".MainActivity">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:padding="20dp">

        <com.google.android.material.textfield.TextInputLayout
            style="@style/Widget.Material3.TextInputLayout.OutlinedBox"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:hint="@string/client_id"
            app:helperText="* Required"
            app:helperTextEnabled="true">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/inputClientId"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:importantForAutofill="no"
                android:inputType="textMultiLine"
                android:textAppearance="@style/TextAppearance.Material3.BodyLarge" />
        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.textfield.TextInputLayout
            style="@style/Widget.Material3.TextInputLayout.OutlinedBox"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:hint="@string/passport"
            app:helperText="* Optional"
            app:helperTextEnabled="true">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/inputPassportData"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:importantForAutofill="no"
                android:textAppearance="@style/TextAppearance.Material3.BodyLarge" />
        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.textfield.TextInputLayout
            style="@style/Widget.Material3.TextInputLayout.OutlinedBox"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:hint="@string/birth_date"
            app:helperText="* Optional"
            app:helperTextEnabled="true"
            app:placeholderText="дд.мм.гггг">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/inputDate"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:importantForAutofill="no"
                android:textAppearance="@style/TextAppearance.Material3.BodyLarge" />
        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.textfield.TextInputLayout
            style="@style/Widget.Material3.TextInputLayout.OutlinedBox"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:hint="@string/external_id"
            app:helperText="* Optional"
            app:helperTextEnabled="true">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/inputExternalId"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:importantForAutofill="no"
                android:inputType="textMultiLine"
                android:textAppearance="@style/TextAppearance.Material3.BodyLarge" />
        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.textfield.TextInputLayout
            style="@style/Widget.Material3.TextInputLayout.OutlinedBox"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:hint="@string/organization_phone_number"
            app:helperText="* Optional"
            app:helperTextEnabled="true">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/inputPhoneNumber"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:importantForAutofill="no"
                android:inputType="phone"
                android:textAppearance="@style/TextAppearance.Material3.BodyLarge" />
        </com.google.android.material.textfield.TextInputLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:text="@string/threshold"
            android:textSize="16sp" />

        <com.google.android.material.slider.Slider
            android:id="@+id/thresholdSlider"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:stepSize="0.01"
            android:valueFrom="0.50"
            android:valueTo="0.99"
            app:labelBehavior="floating" />

        <RadioGroup
            android:id="@+id/radioGroupLang"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:checkedButton="@id/radioEn"
            android:orientation="horizontal">

            <RadioButton
                android:id="@+id/radioUz"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/uzbek" />

            <RadioButton
                android:id="@+id/radioEn"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="12dp"
                android:text="@string/english" />

            <RadioButton
                android:id="@+id/radioRu"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="12dp"
                android:text="@string/russian" />
        </RadioGroup>

        <RadioGroup
            android:id="@+id/radioGroupEntryType"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:checkedButton="@id/radioAuth"
            android:orientation="horizontal">

            <RadioButton
                android:id="@+id/radioAuth"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/auth" />

            <RadioButton
                android:id="@+id/radioFace"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="12dp"
                android:text="@string/face" />
        </RadioGroup>

        <RadioGroup
            android:id="@+id/radioGroupBuildMode"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:checkedButton="@id/radioProd"
            android:orientation="horizontal">

            <RadioButton
                android:id="@+id/radioProd"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/prod" />

            <RadioButton
                android:id="@+id/radioDev"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:text="@string/dev" />
        </RadioGroup>

        <CheckBox
            android:id="@+id/checkboxWithPhoto"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:checked="true"
            android:text="@string/with_photo" />

        <com.google.android.material.button.MaterialButton
            android:id="@+id/buttonStart"
            style="@style/Widget.Material3.Button.UnelevatedButton"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="20dp"
            android:text="@string/scan_face_data"
            android:textAppearance="@style/TextAppearance.Material3.BodyLarge" />

        <TextView
            android:id="@+id/textResult"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:textSize="20sp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:text="@string/result_image"
            android:textSize="20sp" />

        <ImageView
            android:id="@+id/imageResult"
            android:layout_width="200dp"
            android:layout_height="200dp"
            android:layout_marginTop="16dp"
            android:contentDescription="@string/image" />
    </LinearLayout>
</androidx.core.widget.NestedScrollView>